| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
phuff_entropy_encoder Struct Reference

## Public Attributes
struct jpeg_entropy_encoder | pub
boolean | gather_statistics
JOCTET * | next_output_byte
size_t | free_in_buffer
INT32 | put_buffer
int | put_bits
j_compress_ptr | cinfo
int | last_dc_val [MAX_COMPS_IN_SCAN]
int | ac_tbl_no
unsigned int | EOBRUN
unsigned int | BE
char * | bit_buffer
unsigned int | restarts_to_go
int | next_restart_num
c_derived_tbl * | derived_tbls [NUM_HUFF_TBLS]
long * | count_ptrs [NUM_HUFF_TBLS]

## Detailed Description

Definition at line 24 of file jcphuff.c.

## Member Data Documentation

int phuff_entropy_encoder::ac_tbl_no

Definition at line 43 of file jcphuff.c.

unsigned int phuff_entropy_encoder::BE

Definition at line 45 of file jcphuff.c.

char* phuff_entropy_encoder::bit_buffer

Definition at line 46 of file jcphuff.c.

j_compress_ptr phuff_entropy_encoder::cinfo

Definition at line 37 of file jcphuff.c.

long* phuff_entropy_encoder::count_ptrs[NUM_HUFF_TBLS]

Definition at line 59 of file jcphuff.c.

c_derived_tbl* phuff_entropy_encoder::derived_tbls[NUM_HUFF_TBLS]

Definition at line 56 of file jcphuff.c.

unsigned int phuff_entropy_encoder::EOBRUN

Definition at line 44 of file jcphuff.c.

size_t phuff_entropy_encoder::free_in_buffer

Definition at line 34 of file jcphuff.c.

boolean phuff_entropy_encoder::gather_statistics

Definition at line 28 of file jcphuff.c.

int phuff_entropy_encoder::last_dc_val[MAX_COMPS_IN_SCAN]

Definition at line 40 of file jcphuff.c.

JOCTET* phuff_entropy_encoder::next_output_byte

Definition at line 33 of file jcphuff.c.

int phuff_entropy_encoder::next_restart_num

Definition at line 50 of file jcphuff.c.

struct jpeg_entropy_encoder phuff_entropy_encoder::pub

Definition at line 25 of file jcphuff.c.

int phuff_entropy_encoder::put_bits

Definition at line 36 of file jcphuff.c.

INT32 phuff_entropy_encoder::put_buffer

Definition at line 35 of file jcphuff.c.

unsigned int phuff_entropy_encoder::restarts_to_go

Definition at line 49 of file jcphuff.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jcphuff.c